Skip to main content
All API requests require authentication. Include your Anyone token in the request header. Use this for most scenarios — it works with all endpoints:
curl https://api.anyone.ai/v1/chat/completions \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"model": "gpt-4o", "messages": [{"role": "user", "content": "hi"}]}'

Claude Messages format

If you’re using the Anthropic SDK or the native Claude format:
curl https://api.anyone.ai/v1/messages \
  -H "x-api-key: YOUR_TOKEN" \
  -H "anthropic-version: 2023-06-01" \
  -H "Content-Type: application/json" \
  -d '{"model": "claude-sonnet-4-20250514", "max_tokens": 1024, "messages": [{"role": "user", "content": "hi"}]}'

Gemini format

If you’re using the Google Gemini SDK:
# Option 1: Header authentication
curl "https://api.anyone.ai/v1beta/models/gemini-2.5-pro:generateContent" \
  -H "x-goog-api-key: YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"contents": [{"parts": [{"text": "hi"}]}]}'

# Option 2: URL parameter
curl "https://api.anyone.ai/v1beta/models/gemini-2.5-pro:generateContent?key=YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"contents": [{"parts": [{"text": "hi"}]}]}'

SDK configuration examples

from openai import OpenAI

client = OpenAI(
    base_url="https://api.anyone.ai/v1",
    api_key="YOUR_TOKEN",
)
Not sure which format to use? Go with the OpenAI format — it works with all models (including Claude and Gemini), and is the most universal option.